Loading...
Searching...
No Matches
Opm::Connection Class Reference

## Classes

struct | CTFProperties
| Quantities that go into calculating the connection transmissibility factor. More...

## Public Types

enum class | State { OPEN = 1 , SHUT = 2 , AUTO = 3 }
enum class | Direction { X = 1 , Y = 2 , Z = 3 }
enum class | CTFKind { DeckValue , Defaulted , DynamicFracturing }
using | Order = ConnectionOrder

## Public Member Functions

| Connection (int i, int j, int k, std::size_t global_index, int complnum, State state, Direction direction, CTFKind ctf_kind, const int satTableId, double depth, const CTFProperties &ctf_properties, const std::size_t sort_value, const bool defaultSatTabId, int lgr_grid_=0)
| Connection (const RestartIO::RstConnection &rst_connection, const ScheduleGrid &grid, const FieldPropsManager &fp)
bool | attachedToSegment () const
bool | sameCoordinate (const int i, const int j, const int k) const
int | getI () const
int | getJ () const
int | getK () const
std::size_t | global_index () const
int | get_lgr_level () const
State | state () const
Direction | dir () const
double | depth () const
int | satTableId () const
int | complnum () const
int | segment () const
double | wpimult () const
double | CF () const
double | Kh () const
double | Ke () const
double | rw () const
double | r0 () const
double | re () const
double | connectionLength () const
double | skinFactor () const
double | dFactor () const
CTFKind | kind () const
const InjMult & | injmult () const
bool | activeInjMult () const
const FilterCake & | getFilterCake () const
bool | filterCakeActive () const
double | getFilterCakeRadius () const
double | getFilterCakeArea () const
const CTFProperties & | ctfProperties () const
std::size_t | sort_value () const
bool | getDefaultSatTabId () const
const std::optional< std::pair< double, double > > & | perf_range () const
std::string | str () const
bool | ctfAssignedFromInput () const
bool | operator== (const Connection &) const
bool | operator!= (const Connection &that) const
void | setInjMult (const InjMult &inj_mult)
void | setFilterCake (const FilterCake &filter_cake)
void | setState (State state)
void | setComplnum (int compnum)
void | setSkinFactor (double skin_factor)
void | setDFactor (double d_factor)
void | setKe (double Ke)
void | setCF (double CF)
void | setDefaultSatTabId (bool id)
void | setStaticDFacCorrCoeff (const double c)
void | scaleWellPi (double wellPi)
bool | prepareWellPIScaling ()
bool | applyWellPIScaling (const double scaleFactor)
void | updateSegmentRST (int segment_number_arg, double center_depth_arg)
void | updateSegment (int segment_number_arg, double center_depth_arg, std::size_t compseg_insert_index, const std::optional< std::pair< double, double > > &perf_range)
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static std::string | State2String (State enumValue)
static State | StateFromString (std::string_view stringValue)
static std::string | Direction2String (const Direction enumValue)
static Direction | DirectionFromString (std::string_view stringValue)
static std::string | Order2String (Order enumValue)
static Order | OrderFromString (std::string_view comporderStringValue)
static Connection | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/Well/Connection.hpp
- opm/input/eclipse/Schedule/Well/Connection.cpp